Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleFuzzySetBeta

    java.lang.Object
      com.ibm.able.data.AbleLiteral
          com.ibm.able.data.AbleFuzzySet
              com.ibm.able.data.AbleFuzzySetBeta

All Implemented Interfaces:
  AbleRd, java.io.Serializable

public class AbleFuzzySetBeta
extends AbleFuzzySet
implements java.io.Serializable

This class defines the Able data beta fuzzy set. A beta set is a bell-shaped curve useful for representing fuzzy numbers. It is more tightly compacted than the PI curve and the membership function goes to zero only at extremely large widths.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.data.AbleFuzzySet
`AlphaCutDefault, AlphaCutStrong, AlphaCutWeak, CorrelationMethodDefault, CorrelationMethodMinimise, CorrelationMethodProduct, DefuzzifyMethodAverageHeight, DefuzzifyMethodCentroid, DefuzzifyMethodDefault, DefuzzifyMethodMaxHeight, FUZZY_ADD, FuzzyInferenceMethodDefault, HedgeAbout, HedgeAbove, HedgeBelow, HedgeCloseTo, HedgeExtremely, HedgeGenerally, HedgeInVicinityOf, HedgeNot, HedgeNull, HedgePositively, HedgeSlightly, HedgeSomewhat, HedgeVery, MaxValues, MIN_MAX, myAlphaCut, myComplementFlag, myComplementName, myDomainHi, myDomainLo, myFlexFactor, myNumberOfValues, myParentVar, myPtBeg, myPtCenter, myPtEnd, myPtFlex, myPtLeft, myPtLeftCore, myPtRight, myPtRightCore, myScalarVecSav, mySetDir, mySetName, mySetType, myTruthVecSav, myTruthVector, myWeight, myWidth, PRODUCT_OR, SetDirectionDown, SetDirectionLeft, SetDirectionRight, SetDirectionUp, SetTypeBeta, SetTypeGaussian, SetTypeLinear, SetTypePi, SetTypeSegments, SetTypeShoulder, SetTypeSigmoid, SetTypeTrapezoid, SetTypeTriangle, SetTypeWork`

Constructor Summary
`AbleFuzzySetBeta(AbleFuzzyVariable theParentVar, java.lang.String theSetName, double theAlphaCut, double thePtCenter, double theFlexFactor)` Create a new fuzzy set.
`AbleFuzzySetBeta(AbleFuzzyVariable theParentVar, java.lang.String theSetName, double theAlphaCut, double thePtCenter, double theFlexFactor, double theWeight)` Create a new fuzzy set.

Method Summary
`java.lang.String` | `arlString()` Return a formal rule language string representation of this fuzzy set.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `xmlString()` Return a formal XML string representation of this fuzzy set.

Methods inherited from class com.ibm.able.data.AbleFuzzySet
`arlCRdString, CorrelationMethod, CorrelationMethodRl, CorrelationMethodXml, DefuzzifyMethod, DefuzzifyMethodRl, DefuzzifyMethodXml, FuzzyInferenceMethod, FuzzyInferenceMethodRl, FuzzyInferenceMethodXml, getAlphaCut, getBooleanValue, getDataType, getDataTypeClass, getDataTypeClassName, getDomainHi, getDomainLo, getFlexFactor, getFuzzyValue, getGenericValue, getNumberOfValues, getNumericValue, getPtBeg, getPtCenter, getPtEnd, getPtFlex, getPtLeft, getPtLeftCore, getPtRight, getPtRightCore, getReferent, getScalarVector, getSetDir, getSetName, getSetProperties, getSetType, getStringValue, getTruthValues, getTruthVector, getValue, getWeight, getWidth, Hedge, HedgeRl, HedgeXml, setAlphaCut, SetDirection, SetDirectionRl, SetDirectionXml, SetType, SetTypeRl, SetTypeXml, traceString, xmlCRdString`

Methods inherited from class com.ibm.able.data.AbleLiteral
`bitwiseAND, bitwiseNOT, bitwiseOR, bitwiseShiftLeft, bitwiseShiftRight, bitwiseShiftRightZeroFill, bitwiseXOR, cmpEq, cmpGt, cmpGtEq, cmpIs, cmpLt, cmpLtEq, cmpNeq, compDivide, compMinus, compModulo, compMultiply, compPlus, compUnaryMinus, getDataTypeAsString, getReferents, getTemplateString, isConstant, logicalAND, logicalNOT, logicalOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleFuzzySetBeta

    public AbleFuzzySetBeta(AbleFuzzyVariable theParentVar,
                            java.lang.String theSetName,
                            double theAlphaCut,
                            double thePtCenter,
                            double theFlexFactor,
                            double theWeight)

  Create a new fuzzy set.

Parameters:
  `theParentVar` - A reference to the fuzzy variable that contains this fuzzy set.

  `theSetName` - The name of this fuzzy set.

  `theAlphaCut` - The low cut-off value for this fuzzy set.

  `thePtCenter` - The point around which the curve is centered.

  `theFlexFactor` - The distance from the center point to the curve's inflexion point at the 0.5 truth value; the width.

  `theWeight` - A number to attenuate the shape of the curve. 1.0 produces an unattenuated curve.

### AbleFuzzySetBeta

    public AbleFuzzySetBeta(AbleFuzzyVariable theParentVar,
                            java.lang.String theSetName,
                            double theAlphaCut,
                            double thePtCenter,
                            double theFlexFactor)

  Create a new fuzzy set.

Parameters:
  `theParentVar` - A reference to the fuzzy variable that contains this fuzzy set.

  `theSetName` - The name of this fuzzy set.

  `theAlphaCut` - The low cut-off value for this fuzzy set.

  `thePtCenter` - The point around which the curve is centered.

  `theFlexFactor` - The distance from the center point to the curve's inflexion point at the 0.5 truth value; the width.

Method Detail

### arlString

    public java.lang.String arlString()

  Return a formal rule language string representation of this fuzzy set.

  Returns:
    A String describing the object in rule language.

### xmlString

    public java.lang.String xmlString()

  Return a formal XML string representation of this fuzzy set.

  Returns:
    A String describing the object in XML.

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleFuzzySet`
  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005